======
Canvas
======

Canvas commands are used to create, position, and modify canvas objects. The Canvas commands need only the abaqus module to be imported; no additional modules need to be imported.


Create layers in a viewport
---------------------------

Viewport
~~~~~~~~

.. autoclass:: abaqus.Canvas.Viewport.Viewport
    :members:

    .. autoclasstoc::


Object features
---------------

Annotation features of Viewport
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Annotation.AnnotationViewport.AnnotationViewport
    :members:
    :noindex:

    .. autoclasstoc::

AttributeColorMap
~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Canvas.AttributeColorMap.AttributeColorMap
    :members:

    .. autoclasstoc::

Canvas
~~~~~~

.. autoclass:: abaqus.Canvas.Canvas.Canvas
    :members:

    .. autoclasstoc::

Displayable
~~~~~~~~~~~

.. autoclass:: abaqus.Canvas.Displayable.Displayable
    :members:

    .. autoclasstoc::

DrawingArea
~~~~~~~~~~~

.. autoclass:: abaqus.Canvas.DrawingArea.DrawingArea
    :members:

    .. autoclasstoc::

Highlight
~~~~~~~~~

.. automodule:: abaqus.Canvas.Highlight
    :members:

ImageOptions
~~~~~~~~~~~~

.. autoclass:: abaqus.Canvas.ImageOptions.ImageOptions
    :members:

    .. autoclasstoc::

Layer
~~~~~

.. autoclass:: abaqus.Canvas.Layer.Layer
    :members:

    .. autoclasstoc::

MovieOptions
~~~~~~~~~~~~

.. autoclass:: abaqus.Canvas.MovieOptions.MovieOptions
    :members:

    .. autoclasstoc::

ViewportBase
~~~~~~~~~~~~

.. autoclass:: abaqus.Canvas.ViewportBase.ViewportBase
    :members: